<?php

$web_graphic_designer_tp_theme_css = '';

//theme-color
$web_graphic_designer_tp_color_option = get_theme_mod('web_graphic_designer_tp_color_option');

// 1st color
$web_graphic_designer_tp_color_option = get_theme_mod('web_graphic_designer_tp_color_option', '#55e6a5');
if ($web_graphic_designer_tp_color_option) {
	$web_graphic_designer_tp_theme_css .= ':root {';
	$web_graphic_designer_tp_theme_css .= '--color-primary1: ' . esc_attr($web_graphic_designer_tp_color_option) . ';';
	$web_graphic_designer_tp_theme_css .= '}';
}

//preloader//

$web_graphic_designer_tp_preloader_color1_option = get_theme_mod('web_graphic_designer_tp_preloader_color1_option');
$web_graphic_designer_tp_preloader_color2_option = get_theme_mod('web_graphic_designer_tp_preloader_color2_option');
$web_graphic_designer_tp_preloader_bg_option = get_theme_mod('web_graphic_designer_tp_preloader_bg_option');


if($web_graphic_designer_tp_preloader_color1_option != false){
$web_graphic_designer_tp_theme_css .='.center1{';
	$web_graphic_designer_tp_theme_css .='border-color: '.esc_attr($web_graphic_designer_tp_preloader_color1_option).' !important;';
$web_graphic_designer_tp_theme_css .='}';
}
if($web_graphic_designer_tp_preloader_color1_option != false){
$web_graphic_designer_tp_theme_css .='.center1 .ring::before{';
	$web_graphic_designer_tp_theme_css .='background: '.esc_attr($web_graphic_designer_tp_preloader_color1_option).' !important;';
$web_graphic_designer_tp_theme_css .='}';
}
if($web_graphic_designer_tp_preloader_color2_option != false){
$web_graphic_designer_tp_theme_css .='.center2{';
	$web_graphic_designer_tp_theme_css .='border-color: '.esc_attr($web_graphic_designer_tp_preloader_color2_option).' !important;';
$web_graphic_designer_tp_theme_css .='}';
}
if($web_graphic_designer_tp_preloader_color2_option != false){
$web_graphic_designer_tp_theme_css .='.center2 .ring::before{';
	$web_graphic_designer_tp_theme_css .='background: '.esc_attr($web_graphic_designer_tp_preloader_color2_option).' !important;';
$web_graphic_designer_tp_theme_css .='}';
}
if($web_graphic_designer_tp_preloader_bg_option != false){
$web_graphic_designer_tp_theme_css .='.loader{';
	$web_graphic_designer_tp_theme_css .='background: '.esc_attr($web_graphic_designer_tp_preloader_bg_option).';';
$web_graphic_designer_tp_theme_css .='}';
}

// footer-bg-color
$web_graphic_designer_tp_footer_bg_color_option = get_theme_mod('web_graphic_designer_tp_footer_bg_color_option');

if($web_graphic_designer_tp_footer_bg_color_option != false){
$web_graphic_designer_tp_theme_css .='#footer{';
	$web_graphic_designer_tp_theme_css .='background: '.esc_attr($web_graphic_designer_tp_footer_bg_color_option).' !important;';
$web_graphic_designer_tp_theme_css .='}';
}

// logo tagline color
$web_graphic_designer_site_tagline_color = get_theme_mod('web_graphic_designer_site_tagline_color');

if($web_graphic_designer_site_tagline_color != false){
$web_graphic_designer_tp_theme_css .='.logo a, .logo p, .logo p.site-title a{';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_site_tagline_color).';';
$web_graphic_designer_tp_theme_css .='}';
}

$web_graphic_designer_logo_tagline_color = get_theme_mod('web_graphic_designer_logo_tagline_color');
if($web_graphic_designer_logo_tagline_color != false){
$web_graphic_designer_tp_theme_css .='p.site-description{';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_logo_tagline_color).';';
$web_graphic_designer_tp_theme_css .='}';
}

// footer widget title color
$web_graphic_designer_footer_widget_title_color = get_theme_mod('web_graphic_designer_footer_widget_title_color');
if($web_graphic_designer_footer_widget_title_color != false){
$web_graphic_designer_tp_theme_css .='#footer h3{';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_footer_widget_title_color).';';
$web_graphic_designer_tp_theme_css .='}';
}

// copyright text color
$web_graphic_designer_footer_copyright_text_color = get_theme_mod('web_graphic_designer_footer_copyright_text_color');
if($web_graphic_designer_footer_copyright_text_color != false){
$web_graphic_designer_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_footer_copyright_text_color).';';
$web_graphic_designer_tp_theme_css .='}';
}

// header image title color
$web_graphic_designer_header_image_title_text_color = get_theme_mod('web_graphic_designer_header_image_title_text_color');
if($web_graphic_designer_header_image_title_text_color != false){
$web_graphic_designer_tp_theme_css .='.box-text h2{';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_header_image_title_text_color).';';
$web_graphic_designer_tp_theme_css .='}';
}

// menu color
$web_graphic_designer_menu_color = get_theme_mod('web_graphic_designer_menu_color');
if($web_graphic_designer_menu_color != false){
$web_graphic_designer_tp_theme_css .='.main-navigation a{';
$web_graphic_designer_tp_theme_css .='color: '.esc_attr($web_graphic_designer_menu_color).';';
$web_graphic_designer_tp_theme_css .='}';
}
